# Feed2Toot Docker

Feed2Toot Docker is a fork of [chaica/feed2toot](https://gitlab.com/chaica/feed2toot) that allows for simple deployment over Docker. In the future I'll try to add other useful features.

### Usage

With Docker Compose:
```yaml
version: '3'

services:
  feed2toot:
    image: gitea.massivebox.net/massivebox/feed2toot-docker:latest
    environment:
      - USERNAME=sampleusername@sampleinstance.url
      - PASSWORD=samplepassword
      - INSTANCE=https://sampleinstance.url
    restart: always
    volumes:
      - ./data:/data
```
Insert your full username (including the part with your homeserver's address), password and instance URL where required.
You also need to create a working `feed2toot.ini` in the `./data` folder. See the [upstream docs](`https://feed2toot.readthedocs.io/en/latest/configure.html#create-feed2toot-configuration`) for the guide.

After the first successful run, you can remove the entire `environment` block if you want, however, if you delete and re-create the container, you will need to put it back.

### Support

Don't ask the upstream developers for help, if something is broken it's more likely that it is my fault.
You can get support by opening an [issue](https://gitea.massivebox.net/massivebox/feed2toot-docker/issues), or by [contacting me](https://massivebox.net/contact.html), or in the [Matrix support room](https://matrix.to/#/#support:massivebox.net).

### Feed2toot

The following links and addresses are the upstream developers'. I don't want donations for this project, but I encourage you to donate to them.

- [Liberapay](https://liberapay.com/carlchenet/)
- BTC: 1AW12Zw93rx4NzWn5evcG7RNNEM2RSLmAC
- XMR: 43GGv8KzVhxehv832FWPTF7FSVuWjuBarFd17QP163uxMaFyoqwmDf1aiRtS5jWgCiRsi73yqedNJJ6V1La2joznKHGAhDi

### Authors

* MassiveBox <massivebox@massivebox.net>
* Carl Chenet <carl.chenet@ohmytux.com>
* Antoine Beaupré <anarcat@debian.org>
* First developed by Todd Eddy

### License

This software comes under the terms of the GPLv3+. Previously under MIT license. See the LICENSE file for the complete text of the license.
